图片生成查询接口
curl --request GET \
--url https://geekai.co/api/v1/images/{task_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://geekai.co/api/v1/images/{task_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://geekai.co/api/v1/images/{task_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"model": "gpt-image-1",
"task_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"task_status": "succeed",
"data": [
{
"url": "<string>",
"b64_json": "aSDinaTvuI8gbWludGxpZnk=",
"revised_prompt": "<string>"
}
],
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"code": "validation_error",
"message": "参数验证失败",
"details": {
"field": "错误描述"
}
}{
"code": "unauthorized",
"message": "Invalid API key or token"
}{
"code": "invalid_request",
"message": "请求参数不合法"
}{
"code": "invalid_request",
"message": "请求参数不合法"
}画图模型
生成结果
GET
/
images
/
{task_id}
图片生成查询接口
注:该接口用于查询通过图片生成/编辑接口创建的图片生成任务状态和结果,仅支持异步模式的图片生成模型支持。
授权
bearerAuthapiKeyAuth
API认证token
路径参数
图片生成任务ID
此页面对您有帮助吗?
⌘I
